# Jasmine Gem v1.3.2

## Summary

This release removes some pre-1.3 cruft in documentation regarding the old configuration files. Also fixes the JSON/YAML require bug.

Best approach is to delete your Jasmine support files and clean out jasmine from your Rakefile and call `jasmine init` again.

## Changes

* Removed incorrect asset_path mapping
    * Including `asset_file` (the manifest) fails if asset file is itself templated (erb, coffee), or if asset file uses `require_self`.
    * Use `require_self` if it is necessary to include javascript inside of a Sprockets manifest file (like `application.js`)
    * SHA: [be9851192e78ffe635087e5583b15ebe683dc0d9](http://github.com/pivotal/jasmine-gem/commit/be9851192e78ffe635087e5583b15ebe683dc0d9)
* Load `jasmine_helper` after configuring from yaml
    * Allows users opportunity to add a `Jasmine.configure` block that overrides/augments `jasmine.yml` settings
    * File defaults to `specs/javascript/support/jasmine_helper.rb` but is configurable from `jasmine.yml`
    * *Only* processed if using `jasmine.yml` (which default rake tasks will do if `jasmine.yml` exists).
	* SHA: [63e8d46556a421cbb3b511b52cd8c2188d72b9db](http://github.com/pivotal/jasmine-gem/commit/63e8d46556a421cbb3b511b52cd8c2188d72b9db)
* Rails generators should be used for Rails installs
    * SHA: [5d1d500fdc2462951de901513f2aacc5286f20c1](http://github.com/pivotal/jasmine-gem/commit/5d1d500fdc2462951de901513f2aacc5286f20c1)
* Fix reference error of YAML and JSON
    * Merge pull request #119 from kozy4324
    * SHA: [442135f648970fcaf5e4163a672a78fbea65e118](http://github.com/pivotal/jasmine-gem/commit/442135f648970fcaf5e4163a672a78fbea65e118)
* Removed references in docs to pre-1.3 files that are no longer used
    * Merged pull request #132 from levent
    * Merged pull request #129 from mcolyer
    * Merged pull request #130 from mcolyer

------

_Release Notes generated with [Anchorman](http://github.com/infews/anchorman)_